-- http://www.wowwiki.com/API_GetMapLandmarkInfo

local landmarks = {
	[1] = {"mine", "neutral"},
	[2] = {"mine", "horde"},
	[3] = {"mine", "alliance"},
	[4] = {"graveyard", "alliance_assaulted"},
	[6] = {"tower", "neutral"},
	[8] = {"graveyard", "neutral"},
	[9] = {"tower", "alliance_assaulted"},
	[10] = {"tower", "horde"},
	[11] = {"tower", "alliance"},
	[12] = {"tower", "horde_assaulted"},
	[13] = {"graveyard", "horde"},
	[14] = {"graveyard", "horde_assaulted"},
	[15] = {"graveyard", "alliance"},
	[16] = {"goldmine", "neutral"},
	[17] = {"goldmine", "alliance_assaulted"},
	[18] = {"goldmine", "alliance"},
	[19] = {"goldmine", "horde_assaulted"},
	[20] = {"goldmine", "horde"},
	[21] = {"lumbermill", "neutral"},
	[22] = {"lumbermill", "alliance_assaulted"},
	[23] = {"lumbermill", "alliance"},
	[24] = {"lumbermill", "horde_assaulted"},
	[25] = {"lumbermill", "horde"},
	[26] = {"blacksmith", "neutral"},
	[27] = {"blacksmith", "alliance_assaulted"},
	[28] = {"blacksmith", "alliance"},
	[29] = {"blacksmith", "horde_assaulted"},
	[30] = {"blacksmith", "horde"},
	[31] = {"farm", "neutral"},
	[32] = {"farm", "alliance_assaulted"},
	[33] = {"farm", "alliance"},
	[34] = {"farm", "horde_assaulted"},
	[35] = {"farm", "horde"},
	[36] = {"stables", "neutral"},
	[37] = {"stables", "alliance_assaulted"},
	[38] = {"stables", "alliance"},
	[39] = {"stables", "horde_assaulted"},
	[40] = {"stables", "horde"},
	
	[46] = {"crest", "alliance"},
	[48] = {"crest", "horde"},
	--[[
	[77] = {"gate", "horde"},
	[78] = {"gate", "horde_damage"},
	[79] = {"gate", "horde_destroyed"},
	[80] = {"gate", "alliance"},
	[81] = {"gate", "alliance_damage"},
	[82] = {"gate", "alliance_destroyed"},
	--]]
	[135] = {"siege_workshop", "neutral"},
	[136] = {"siege_workshop", "alliance"},
	[137] = {"siege_workshop", "alliance_assaulted"},
	[138] = {"siege_workshop", "horde"},
	[139] = {"siege_workshop", "horde_assaulted"},
	[140] = {"hangar", "neutral"},
	[141] = {"hangar", "alliance"},
	[142] = {"hangar", "alliance_assaulted"},
	[143] = {"hangar", "horde"},
	[144] = {"hangar", "horde_assaulted"},
	[145] = {"docks", "neutral"},
	[146] = {"docks", "alliance"},
	[147] = {"docks", "alliance_assaulted"},
	[148] = {"docks", "horde"},
	[149] = {"docks", "horde_assaulted"},
	[150] = {"refinery", "neutral"},
	[151] = {"refinery", "alliance"},
	[152] = {"refinery", "alliance_assaulted"},
	[153] = {"refinery", "horde"},
	[154] = {"refinery", "horde_assaulted"},
	
}
for ti, v in pairs( landmarks ) do
	local x = ti % 16
	local y = floor( ti / 16 )
	v[3] = (x*16)/256
	v[4] = ((x+1)*16)/256
	v[5] = (y*16)/256
	v[6] = ((y+1)*16)/256
end
_G.BG_LANDMARKS = landmarks